<!DOCTYPE html>
<html>
    <head>
        <title>HTML Table Row Up And Down</title>
        <meta charset="windows-1252">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <style>
            
            tr{cursor: pointer}
            
            .selected{background-color: red; color: #fff;font-weight: bold}
            
            button{margin-top:10px;background-color: #eee;border: 2px solid #00F;
                  color: #17bb1c;font-weight: bold;font-size: 25px;cursor: pointer}
            
        </style>
    </head>
    <body>
        <div class="wrapper" style="margin-top: 10%;">	
            <div class="title">Tentang Saya</div>
        
            <div class="accordion_wrapper">	
                <div class="accordion_item">
                    <div class="accordion_tab active">Aktivitas Saat Ini
                <div class="arrow" style="transform: translate(-50%, -50%) ; margin-right: 3%;">
                            <img src="{% static 'images/panahatas.png' %}" alt="arrow">
                        </div> 
                        <div class="arrow">
                            <img src="{% static 'images/panahbawah.png' %}" alt="arrow">
                        </div>
                    </div>
                    <div class="accordion_content">
                        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Obcaecati asperiores, et, odit explicabo nesciunt temporibus sit inventore sapiente vitae a ipsum dicta deserunt repellat aut!</p>
                    </div>
                </div>
                <div class="accordion_item">
                    <div class="accordion_tab"> Pengalaman Organisasi/Kepanitiaan
                <div class="arrow" style="transform: translate(-50%, -50%) ; margin-right: 3%;">
                            <img src="{% static 'images/panahatas.png' %}" alt="arrow">
                        </div> 
                        <div class="arrow">
                            <img src="{% static 'images/panahbawah.png' %}" alt="arrow">
                        </div>
                    </div>
                    <div class="accordion_content">
                        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Obcaecati asperiores, et, odit explicabo nesciunt temporibus sit inventore sapiente vitae a ipsum dicta deserunt repellat aut!</p>
                    </div>
                </div>
                <div class="accordion_item">
                    <div class="accordion_tab">Prestasi
                <div class="arrow" style="transform: translate(-50%, -50%) ; margin-right: 3%;">
                            <img src="{% static 'images/panahatas.png' %}" alt="arrow">
                        </div> 
                        <div class="arrow">
                            <img src="{% static 'images/panahbawah.png' %}" alt="arrow">
                        </div>
                    </div>
                    <div class="accordion_content">
                        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Obcaecati asperiores, et, odit explicabo nesciunt temporibus sit inventore sapiente vitae a ipsum dicta deserunt repellat aut!</p>
                    </div>
            </div>
            <div class="accordion_item">
                    <div class="accordion_tab"> Makanan Kesukaan
                <a href="https://youtube.com">
                  <div class="arrow" style="transform: translate(-50%, -50%) ; margin-right: 3%;">
                            <img src="{% static 'images/panahatas.png' %}" alt="arrow">
                </div> 
                </a>
                <a href="#">
                        <div class="arrow">
                            <img src="{% static 'images/panahbawah.png' %}" alt="arrow">
                </div>
                </a>
                    </div>
                    <div class="accordion_content">
                        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Obcaecati asperiores, et, odit explicabo nesciunt temporibus sit inventore sapiente vitae a ipsum dicta deserunt repellat aut!</p>
                    </div>
                </div>
            </div>
        </div>	
        <button onclick="upNdown('up');">&ShortUpArrow;</button>
        <button onclick="upNdown('down');">&ShortDownArrow;</button>
        
        <script>
            
            var index;  // variable to set the selected row index
            function getSelectedRow()
            {
                var table = document.getElementById("table");
                for(var i = 1; i < table.rows.length; i++)
                {
                    table.rows[i].onclick = function()
                    {
                        // clear the selected from the previous selected row
                        // the first time index is undefined
                        if(typeof index !== "undefined"){
                            table.rows[index].classList.toggle("selected");
                        }
                       
                        index = this.rowIndex;
                        this.classList.toggle("selected");

                    };
                }
                    
            }
  

            getSelectedRow();
            
            
            function upNdown(direction)
            {
                var table = document.getElementsByClassName("accordion_item").rows,
                    parent = rows[index].parentNode;
                 if(direction === "up")
                 {
                     if(index > 1){
                        parent.insertBefore(rows[index],rows[index - 1]);
                        // when the row go up the index will be equal to index - 1
                        index--;
                    }
                 }
                 
                 if(direction === "down")
                 {
                     if(index < rows.length -1){
                        parent.insertBefore(rows[index + 1],rows[index]);
                        // when the row go down the index will be equal to index + 1
                        index++;
                    }
                 }
            }
            
        </script>
    </body>
</html>
